Bug 1111578 - [SET] (6.3.1) subnet-match is completely broken
Summary: [SET] (6.3.1) subnet-match is completely broken
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ivo Studensky
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On: 1111575
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-20 12:13 UTC by Ivo Studensky
Modified: 2014-07-28 13:37 UTC (History)
4 users (show)

(edit)
Clone Of: 1111575
(edit)
Last Closed: 2014-06-30 13:46:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3478 Major Resolved subnet-match is completely broken 2014-08-08 05:17:19 UTC

Description Ivo Studensky 2014-06-20 12:13:40 UTC
+++ This bug was initially created as a clone of Bug #1111575 +++
A clone for 6.3.1.


Description of problem:

subnet-match does not respect the value attribute. Instead, it seems to just pick the first interface it finds. No matter what I specify as a value, even if it's a value that's complete nonsense and doesn't match any IP address on my system, e.g.

<interface name="public">
    <subnet-match value="1.2.3.0/24"/>
</interface>

the ports end up bound to the only interface that is currently connected

14:45:16,740 INFO  [stdout] (ServerService Thread Pool -- 40) -------------------------------------------------------------------
14:45:16,740 INFO  [stdout] (ServerService Thread Pool -- 40) GMS: address=normandy/GamingPortal, cluster=GamingPortal, physical address=192.168.1.105:3100
14:45:16,741 INFO  [stdout] (ServerService Thread Pool -- 40) -------------------------------------------------------------------

Comment 1 JBoss JIRA Server 2014-06-26 08:30:55 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira WFLY-3478 to Reopened

Comment 2 JBoss JIRA Server 2014-06-27 04:58:18 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira WFLY-3478 to Resolved


Note You need to log in before you can comment on or make changes to this bug.